image: python

stages:
- build
- test

variables:
  PROJECT_NAME:   'price_comparer'
  PYTHON_VERSION: '3.6'

before_script:
- curl -O https://bootstrap.pypa.io/get-pip.py
- python get-pip.py
- pip install -r dev-requirements.txt

build:
  image: python:3.6
  stage: build
  script: tox -e build

python36:
  image: python:3.6
  stage: test
  script: tox -e py36

python37:
  image: python:3.7
  variables:
    PYTHON_VERSION: '3.7'
  stage: test
  script: tox -e py37

pylint:
  image: python:3.6
  stage: test
  script: tox -e pylint

mypy:
  image: python:3.6
  stage: test
  script: tox -e mypy

bandit:
  image: python:3.6
  stage: test
  script: tox -e bandit
